def lunar_add(a: str, b: str) -> str:
    max_length = max(len(a), len(b))
    a = a.zfill(max_length)
    b = b.zfill(max_length)
    result = []
    for digit_a, digit_b in zip(a, b):
        result.append(str(max(int(digit_a), int(digit_b))))

    return ''.join(result)

def mul(a: str, b: str) -> str:
    if len(a) > len(b):
        a, b = b, a

    i_result = []

    for i in range(len(a)):
        c_result = []
        for j in range(len(b)):
            c_result.append(str(min(int(a[i]), int(b[j]))))
        i_result.append(''.join(c_result) + '0' * (len(a)-i-1))
    f_result = '0'
    for result in i_result:
        f_result = lunar_add(f_result, result)

    return f_result
a = input().strip()
b = input().strip()
p = lunar_add(a, b)
u = mul(a, b)
print(p, end = ' ')
print(u)






















